<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto" >

    <data >

        <import type="com.quansu.heifengwuliu.BuildConfig" />

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.SettingsVModel" />

    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:id="@+id/lay_vip"
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="@dimen/dp_16"
                    android:paddingRight="@dimen/dp_16" >

                    <ImageView
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:src="@mipmap/ic_launcher" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_14"
                        android:layout_weight="1"
                        android:orientation="vertical" >

                        <TextView
                            android:id="@+id/tv_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_16" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_3"
                            android:textColor="@color/text_hint"
                            android:textSize="@dimen/sp_13" />
                    </LinearLayout >

                    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                        android:id="@+id/btn_vip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/colorPrimary"
                        android:paddingLeft="@dimen/dp_8"
                        android:paddingTop="@dimen/dp_4"
                        android:paddingRight="@dimen/dp_8"
                        android:paddingBottom="@dimen/dp_4"
                        android:onClick="@{v->vm.buyVip()}"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_13"
                        app:qmui_backgroundColor="@color/colorPrimary"
                        app:qmui_borderWidth="0dp" />

                </LinearLayout >

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/color_page_bg" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_10" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginStart="@dimen/dp_14"
                        android:layout_marginTop="@dimen/dp_2"
                        android:gravity="center_vertical"
                        android:text="小部件"
                        android:textSize="@dimen/sp_14" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/dp_14"

                        android:background="@color/color_page_bg" />

                    <RelativeLayout
                        android:id="@+id/lay_widgets"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="4.5dp"
                            android:src="@drawable/ic_widgets_manage" />

                        <TextView
                            android:id="@+id/tv_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon"
                            android:gravity="center_vertical"
                            android:text="管理小部件图标"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="@dimen/dp_14"
                            android:padding="@dimen/dp_6"
                            android:src="@drawable/ic_arrow_right" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:id="@+id/lay_search_bar"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon13"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="4.2dp"
                            android:src="@drawable/ic_search_bar_mg" />

                        <TextView
                            android:id="@+id/tv_title13"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon13"
                            android:gravity="center_vertical"
                            android:text="管理搜索栏图标"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="@dimen/dp_14"
                            android:padding="@dimen/dp_6"
                            android:src="@drawable/ic_arrow_right" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title13"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon1"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_google" />

                        <TextView
                            android:id="@+id/tv_title1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon1"
                            android:gravity="center_vertical"
                            android:text="固定左侧图标为谷歌"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <CheckBox
                            android:id="@+id/cb_ic_google"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="@dimen/dp_18"
                            android:padding="@dimen/dp_6" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title1"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <!--                    <RelativeLayout-->
                    <!--                        android:layout_width="match_parent"-->
                    <!--                        android:layout_height="48dp"-->
                    <!--                        android:layout_marginLeft="@dimen/dp_14" >-->

                    <!--                        <ImageView-->
                    <!--                            android:id="@+id/img_icon2"-->
                    <!--                            android:layout_width="30dp"-->
                    <!--                            android:layout_height="30dp"-->
                    <!--                            android:layout_centerVertical="true"-->
                    <!--                            android:padding="@dimen/dp_5"-->
                    <!--                            android:src="@drawable/ic_qr" />-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_title2"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_centerVertical="true"-->
                    <!--                            android:layout_marginLeft="@dimen/dp_10"-->
                    <!--                            android:layout_toRightOf="@id/img_icon2"-->
                    <!--                            android:gravity="center_vertical"-->
                    <!--                            android:text="固定右侧图标为这个扫一扫图标"-->
                    <!--                            android:textColor="@color/primary_text"-->
                    <!--                            android:textSize="@dimen/sp_15" />-->

                    <!--                        <CheckBox-->
                    <!--                            android:id="@+id/cb_ic_qr"-->
                    <!--                            android:layout_width="30dp"-->
                    <!--                            android:layout_height="30dp"-->
                    <!--                            android:layout_alignParentEnd="true"-->
                    <!--                            android:layout_centerVertical="true"-->
                    <!--                            android:layout_marginEnd="@dimen/dp_18"-->
                    <!--                            android:padding="@dimen/dp_6" />-->

                    <!--                        <View-->
                    <!--                            android:layout_width="match_parent"-->
                    <!--                            android:layout_height="1dp"-->
                    <!--                            android:layout_alignLeft="@id/tv_title2"-->
                    <!--                            android:layout_alignParentBottom="true"-->
                    <!--                            android:background="@color/color_page_bg" />-->

                    <!--                    </RelativeLayout >-->

                </LinearLayout >

                <!--                <LinearLayout-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:orientation="vertical"-->
                <!--                    android:paddingBottom="@dimen/dp_10"-->
                <!--                    android:paddingTop="@dimen/dp_10" >-->

                <!--                    <TextView-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="28dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14"-->
                <!--                        android:layout_marginTop="@dimen/dp_2"-->
                <!--                        android:gravity="center_vertical"-->
                <!--                        android:text="@string/entrance"-->
                <!--                        android:textSize="@dimen/sp_14" />-->

                <!--                    <View-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="1dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14"-->

                <!--                        android:background="@color/color_page_bg" />-->

                <!--                    <RelativeLayout-->
                <!--                        android:id="@+id/lay_widgets_gesture"-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="48dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14" >-->

                <!--                        <ImageView-->
                <!--                            android:id="@+id/img_icon11"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:padding="4.5dp"-->
                <!--                            android:src="@drawable/ic_gesture_entrance" />-->

                <!--                        <TextView-->
                <!--                            android:id="@+id/tv_title11"-->
                <!--                            android:layout_width="wrap_content"-->
                <!--                            android:layout_height="wrap_content"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginLeft="@dimen/dp_10"-->
                <!--                            android:layout_toRightOf="@id/img_icon11"-->
                <!--                            android:gravity="center_vertical"-->
                <!--                            android:text="手势入口"-->
                <!--                            android:textColor="@color/primary_text"-->
                <!--                            android:textSize="@dimen/sp_15" />-->

                <!--                        <ImageView-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_alignParentRight="true"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginRight="@dimen/dp_14"-->
                <!--                            android:padding="@dimen/dp_6"-->
                <!--                            android:src="@drawable/ic_arrow_right" />-->

                <!--                        <View-->
                <!--                            android:layout_width="match_parent"-->
                <!--                            android:layout_height="1dp"-->
                <!--                            android:layout_alignLeft="@id/tv_title11"-->
                <!--                            android:layout_alignParentBottom="true"-->
                <!--                            android:background="@color/color_page_bg" />-->

                <!--                    </RelativeLayout >-->

                <!--                </LinearLayout >-->

                <!--                <com.ysnows.base.widget.RadioGroup-->
                <!--                    android:id="@+id/rg_selector"-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:orientation="vertical"-->
                <!--                    android:paddingBottom="@dimen/dp_10"-->
                <!--                    android:paddingTop="@dimen/dp_10" >-->

                <!--                    <TextView-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="28dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14"-->
                <!--                        android:layout_marginTop="@dimen/dp_2"-->
                <!--                        android:gravity="center_vertical"-->
                <!--                        android:text="搜索引擎选择器"-->
                <!--                        android:textSize="@dimen/sp_14" />-->

                <!--                    <View-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="1dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14"-->

                <!--                        android:background="@color/color_page_bg" />-->

                <!--                    <RelativeLayout-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="48dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14" >-->

                <!--                        <ImageView-->
                <!--                            android:id="@+id/img_icon6"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:padding="@dimen/dp_5"-->
                <!--                            android:src="@drawable/ic_btn" />-->

                <!--                        <TextView-->
                <!--                            android:id="@+id/tv_title6"-->
                <!--                            android:layout_width="wrap_content"-->
                <!--                            android:layout_height="wrap_content"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginLeft="@dimen/dp_10"-->
                <!--                            android:layout_toRightOf="@id/img_icon6"-->
                <!--                            android:gravity="center_vertical"-->
                <!--                            android:text="显示选择器激活按钮"-->
                <!--                            android:textColor="@color/primary_text"-->
                <!--                            android:textSize="@dimen/sp_15" />-->

                <!--                        <RadioButton-->
                <!--                            android:id="@+id/rb_ic_show_button"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_alignParentEnd="true"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginEnd="@dimen/dp_18"-->
                <!--                            android:padding="@dimen/dp_6" />-->

                <!--                        <View-->
                <!--                            android:layout_width="match_parent"-->
                <!--                            android:layout_height="1dp"-->
                <!--                            android:layout_alignLeft="@id/tv_title6"-->
                <!--                            android:layout_alignParentBottom="true"-->
                <!--                            android:background="@color/color_page_bg" />-->

                <!--                    </RelativeLayout >-->

                <!--                    <RelativeLayout-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="48dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14" >-->

                <!--                        <ImageView-->
                <!--                            android:id="@+id/img_icon5"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:padding="@dimen/dp_4"-->
                <!--                            android:src="@drawable/ic_selector" />-->

                <!--                        <TextView-->
                <!--                            android:id="@+id/tv_title5"-->
                <!--                            android:layout_width="wrap_content"-->
                <!--                            android:layout_height="wrap_content"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginLeft="@dimen/dp_10"-->
                <!--                            android:layout_toRightOf="@id/img_icon5"-->
                <!--                            android:gravity="center_vertical"-->
                <!--                            android:text="选择器一直显示在下方"-->
                <!--                            android:textColor="@color/primary_text"-->
                <!--                            android:textSize="@dimen/sp_15" />-->

                <!--                        <RadioButton-->
                <!--                            android:id="@+id/rb_ic_always_show"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_alignParentEnd="true"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginEnd="@dimen/dp_18"-->
                <!--                            android:padding="@dimen/dp_6" />-->

                <!--                        <View-->
                <!--                            android:layout_width="match_parent"-->
                <!--                            android:layout_height="1dp"-->
                <!--                            android:layout_alignLeft="@id/tv_title5"-->
                <!--                            android:layout_alignParentBottom="true"-->
                <!--                            android:background="@color/color_page_bg" />-->

                <!--                    </RelativeLayout >-->

                <!--                    <RelativeLayout-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="48dp"-->
                <!--                        android:layout_marginLeft="@dimen/dp_14" >-->

                <!--                        <ImageView-->
                <!--                            android:id="@+id/img_icon7"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:padding="@dimen/dp_3"-->
                <!--                            android:src="@drawable/ic_hidden" />-->

                <!--                        <TextView-->
                <!--                            android:id="@+id/tv_title7"-->
                <!--                            android:layout_width="wrap_content"-->
                <!--                            android:layout_height="wrap_content"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginLeft="@dimen/dp_10"-->
                <!--                            android:layout_toRightOf="@id/img_icon7"-->
                <!--                            android:gravity="center_vertical"-->
                <!--                            android:text="隐藏选择器"-->
                <!--                            android:textColor="@color/primary_text"-->
                <!--                            android:textSize="@dimen/sp_15" />-->

                <!--                        <RadioButton-->
                <!--                            android:id="@+id/rb_ic_no_show"-->
                <!--                            android:layout_width="30dp"-->
                <!--                            android:layout_height="30dp"-->
                <!--                            android:layout_alignParentEnd="true"-->
                <!--                            android:layout_centerVertical="true"-->
                <!--                            android:layout_marginEnd="@dimen/dp_18"-->
                <!--                            android:padding="@dimen/dp_6" />-->

                <!--                        <View-->
                <!--                            android:layout_width="match_parent"-->
                <!--                            android:layout_height="1dp"-->
                <!--                            android:layout_alignLeft="@id/tv_title7"-->
                <!--                            android:layout_alignParentBottom="true"-->
                <!--                            android:background="@color/color_page_bg" />-->

                <!--                    </RelativeLayout >-->

                <!--                </com.ysnows.base.widget.RadioGroup >-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_10" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="@dimen/dp_14"
                        android:layout_marginTop="@dimen/dp_2"
                        android:gravity="center_vertical"
                        android:text="高级动作"
                        android:textSize="@dimen/sp_14" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/dp_14"

                        android:background="@color/color_page_bg" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon8"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_clip" />

                        <TextView
                            android:id="@+id/tv_title8"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon8"
                            android:gravity="center_vertical"
                            android:text="监听剪贴板"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <CheckBox
                            android:id="@+id/cb_clip"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="@dimen/dp_18"
                            android:padding="@dimen/dp_6" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title8"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon9"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_auto_ad" />

                        <TextView
                            android:id="@+id/tv_title9"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon9"
                            android:gravity="center_vertical"
                            android:text="跳过应用启动广告"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <CheckBox
                            android:id="@+id/cb_auto_ad"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="@dimen/dp_18"
                            android:padding="@dimen/dp_6" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title9"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon10"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_msg_noti" />

                        <TextView
                            android:id="@+id/tv_title10"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon10"
                            android:gravity="center_vertical"
                            android:text="显示消息图标"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <CheckBox
                            android:id="@+id/cb_msg"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="@dimen/dp_18"
                            android:padding="@dimen/dp_6" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title10"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:id="@+id/lay_double_paste"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon12"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="4.5dp"
                            android:src="@drawable/ic_double_click" />

                        <TextView
                            android:id="@+id/tv_title12"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toEndOf="@id/img_icon12"
                            android:gravity="center_vertical"
                            android:text="双击输入框粘贴"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <CheckBox
                            android:id="@+id/cb_double_paste"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="@dimen/dp_18"
                            android:padding="@dimen/dp_6" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title12"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                </LinearLayout >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_10" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="@dimen/dp_14"
                        android:layout_marginTop="@dimen/dp_2"
                        android:gravity="center_vertical"
                        android:text="备份"
                        android:textSize="@dimen/sp_14" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/dp_14"

                        android:background="@color/color_page_bg" />

                    <RelativeLayout
                        android:id="@+id/lay_backup"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon3"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_backup" />

                        <TextView
                            android:id="@+id/tv_title3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon3"
                            android:gravity="center_vertical"
                            android:text="备份设置到云中"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <TextView
                            android:id="@+id/tv_backup_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="@dimen/dp_14"
                            android:gravity="center_vertical"
                            android:textColor="@color/secondary_text"
                            android:textSize="@dimen/sp_12" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title3"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:id="@+id/lay_restore"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon4"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_5"
                            android:src="@drawable/ic_restore" />

                        <TextView
                            android:id="@+id/tv_title4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon4"
                            android:gravity="center_vertical"
                            android:text="恢复备份"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <TextView
                            android:id="@+id/tv_restore_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="@dimen/dp_14"
                            android:gravity="center_vertical"
                            android:text="恢复时间：2018-08-23 14:29:22"
                            android:textColor="@color/secondary_text"
                            android:textSize="@dimen/sp_12"
                            android:visibility="gone" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title4"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                </LinearLayout >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_10" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="@dimen/dp_14"
                        android:layout_marginTop="@dimen/dp_2"
                        android:gravity="center_vertical"
                        android:text="应用"
                        android:textSize="@dimen/sp_14" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/dp_14"

                        android:background="@color/color_page_bg" />

                    <RelativeLayout
                        android:id="@+id/lay_checkupdate"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginStart="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon14"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_check_update" />

                        <TextView
                            android:id="@+id/tv_title14"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon14"
                            android:gravity="center_vertical"
                            android:text="检查更新"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <TextView
                            android:id="@+id/tv_version_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="@dimen/dp_14"
                            android:gravity="center_vertical"
                            android:text="@{`V`+BuildConfig.VERSION_NAME}"
                            android:textColor="@color/secondary_text"
                            android:textSize="@dimen/sp_12" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title14"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:id="@+id/lay_check_permisions"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginStart="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon16"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_check_permissions" />

                        <TextView
                            android:id="@+id/tv_title16"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon16"
                            android:gravity="center_vertical"
                            android:text="检查权限"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title16"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                    <RelativeLayout
                        android:id="@+id/lay_about_us"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginStart="@dimen/dp_14" >

                        <ImageView
                            android:id="@+id/img_icon15"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:padding="@dimen/dp_4"
                            android:src="@drawable/ic_about_us" />

                        <TextView
                            android:id="@+id/tv_title15"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_toRightOf="@id/img_icon15"
                            android:gravity="center_vertical"
                            android:text="关于我们"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_15" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignLeft="@id/tv_title15"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_page_bg" />

                    </RelativeLayout >

                </LinearLayout >

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="35dp"
                    android:layout_marginTop="35dp"
                    android:layout_marginRight="35dp"
                    android:layout_marginBottom="@dimen/sp_15"
                    android:background="@color/colorPrimary"
                    android:visibility="@{vm.user.isLogin()?0:8}"
                    app:cardBackgroundColor="@color/colorPrimary"
                    app:cardCornerRadius="22.5dp"
                    app:cardElevation="2dp"
                    app:cardPreventCornerOverlap="true" >

                    <Button
                        android:id="@+id/btn_logout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/colorPrimary"
                        android:text="@string/logout"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_16" />

                </androidx.cardview.widget.CardView >

            </LinearLayout >
        </ScrollView >
    </LinearLayout >
</layout >
